import web
from main.models import Computer

class ShowBootMenu:
    def GET(self, ip):
        computer = web.ctx.orm.query(Computer).filter(Computer.ip == ip).one()
        return web.ctx.render.bootmenu.bootmenu(computer.disk_profile)
